package com.atrium.hibernate;

import java.util.Date;

/**
 * Usuarios entity. @author MyEclipse Persistence Tools
 */

public class Usuarios implements java.io.Serializable {

	// Fields

	private String nombre;
	private Roles roles;
	private String contraseña;
	private Date fechaAlta;
	private Date fechaBaja;

	// Constructors

	/** default constructor */
	public Usuarios() {
	}

	/** minimal constructor */
	public Usuarios(String nombre) {
		this.nombre = nombre;
	}

	/** full constructor */
	public Usuarios(String nombre, Roles roles, String contraseña,
			Date fechaAlta, Date fechaBaja) {
		this.nombre = nombre;
		this.roles = roles;
		this.contraseña = contraseña;
		this.fechaAlta = fechaAlta;
		this.fechaBaja = fechaBaja;
	}

	// Property accessors

	public String getNombre() {
		return this.nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	public Roles getRoles() {
		return this.roles;
	}

	public void setRoles(Roles roles) {
		this.roles = roles;
	}

	public String getContraseña() {
		return this.contraseña;
	}

	public void setContraseña(String contraseña) {
		this.contraseña = contraseña;
	}

	public Date getFechaAlta() {
		return this.fechaAlta;
	}

	public void setFechaAlta(Date fechaAlta) {
		this.fechaAlta = fechaAlta;
	}

	public Date getFechaBaja() {
		return this.fechaBaja;
	}

	public void setFechaBaja(Date fechaBaja) {
		this.fechaBaja = fechaBaja;
	}

}